Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine.pool
Interface Pool

All Known Subinterfaces:
  ItemPool, OrderPool

public interface Pool

Represents a collection of PoolObject(s). The Pool interface provides methods for adjusting the price of the pool objects and also to remove the objects from the collection.

Method Summary
`void` | `adjust(java.util.List poolObjects, AdjustmentDetail aDetail)`
`void` | `adjust(PoolObject object, AdjustmentDetail aDetail)`
`java.lang.String` | `getCurrency()`
`AdjustmentDetail` | `getDetail(AdjustmentType type, Money initialPrice, Money endPrice, java.lang.String computation, java.lang.String reason, java.lang.Object discountID)`
`void` | `remove(java.util.Iterator poolObjects)`
`void` | `remove(PoolObject anObject)`

Method Detail

### adjust

    public void adjust(java.util.List poolObjects,
                       AdjustmentDetail aDetail)

### adjust

    public void adjust(PoolObject object,
                       AdjustmentDetail aDetail)

### remove

    public void remove(PoolObject anObject)

  Parameters:
    `PoolObject` - the object to be removed from the collection.
  Returns:
    void
  Throws:
    -
  See Also:
    `PoolObject`

### remove

    public void remove(java.util.Iterator poolObjects)

  Parameters:
    `List` - a set of ItemPoolObjects to be removed from the collection.
  Returns:
    void
  Throws:
    -
  See Also:
    `PoolObject`

### getDetail

    public AdjustmentDetail getDetail(AdjustmentType type,
                                      Money initialPrice,
                                      Money endPrice,
                                      java.lang.String computation,
                                      java.lang.String reason,
                                      java.lang.Object discountID)

### getCurrency

    public java.lang.String getCurrency()

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved